//////////////////////////////////////////////////////////////////////////////////////////////
// Copyright 2016 Leszek Koltunski                                                          //
//                                                                                          //
// This file is part of Distorted.                                                          //
//                                                                                          //
// Distorted is free software: you can redistribute it and/or modify                        //
// it under the terms of the GNU General Public License as published by                     //
// the Free Software Foundation, either version 2 of the License, or                        //
// (at your option) any later version.                                                      //
//                                                                                          //
// Distorted is distributed in the hope that it will be useful,                             //
// but WITHOUT ANY WARRANTY; without even the implied warranty of                           //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                            //
// GNU General Public License for more details.                                             //
//                                                                                          //
// You should have received a copy of the GNU General Public License                        // 
// along with Distorted.  If not, see <http://www.gnu.org/licenses/>.                       //
//////////////////////////////////////////////////////////////////////////////////////////////

precision lowp float;

#if __VERSION__ != 100
in vec2 a_Position;        // Per-vertex position information we will pass in.
#else
attribute vec2 a_Position; // Per-vertex position information we will pass in.
#endif

uniform vec2 u_objD;       // object width X object height.
uniform mat4 u_MVPMatrix;  // the combined model/view/projection matrix.

//////////////////////////////////////////////////////////////////////////////////////////////

void main()
  {
  gl_Position = u_MVPMatrix*vec4( u_objD*a_Position, 0.0, 1.0);
  }